Установка Moodle

Проблемы при установке Moodle

Moodle - большая система для управления курсами, однако чтобы её установить нужно самому пройти пару специальных курсов.

Начнем с того, что новые версии Moodle требуют для работы php версии 5.3. На большинстве хостингов данная версия php доступна, но чтобы её включить нужно либо связаться с тех поддержкой, либо самому внести изменения в htaceess. При этом - связаться с поддержкой бывает полезнее - некоторые хостеры предоставляют возможность выбора версии php прямо в админке.

Настройка Moodle до установки

Настройка moodle до установки ведется с помошью файла config-dist.php. Его нужно переименовать в config.php и в тектовом редакторе изменить настройки. Для работы с базой данных MySQL придётся найти строчку с $CFG->dbtype и написать

$CFG->dbtype  = 'mysqli'; 

Register Globals

Теперь про register globals. При установке вы можете увидеть You must set register_globals=off - как это сделать? Лично у меня не вышло сделать это через htaccess, но получилось следующим образом. Я создал файл php.ini с кодировкой UTF-8. Его можно положить в корень сайта, но это не всегда помогает, мне помогло - положить его в cgi-bin - эта папка автоматически создается в папке public_html на хостинге, который я использовал для moodle. Этот файл имеет вид

register_globals = 0
display_errors = 0

В настоящий момент самая свежая версия Moodle - 2.3.2. Установить её может разве что хорошо подготовленный специалист.

 

Случайная новость

Российский ответ iPad

Подробнее ...

Материал о ПК

Современный IT-Park в Казани

В данном видео представлен IT-Park построенный в Казани. Посоле просмотра этого видео, если вы IT-шник вам может очень захотеться съездить в Казань.

Подробнее ...


Нажимай!

Кто на сайте

Сейчас 8 гостей онлайн

Голосуй

Используете ли вы плёнку на сенсорных экранах?
 

Valid XHTML 1.0 Transitional Читать в Яндекс.Ленте